Skip Menu |
 

This queue is for tickets about the JSON-PP CPAN distribution.

Report information
The Basics
Id: 66427
Status: resolved
Priority: 0/
Queue: JSON-PP

People
Owner: Nobody in particular
Requestors: zefram [...] fysh.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: JSON::PP 5.6 failure around POD encoding
Date: Sun, 6 Mar 2011 19:18:50 +0000
To: bug-JSON-PP [...] rt.cpan.org
From: Zefram <zefram [...] fysh.org>
Download (untitled) / with headers
text/plain 1.1k
JSON::PP makes some attempt to work on Perl 5.6 (via JSON::PP::Compat5006), but its test suite fails on 5.6 thus: t/900_pod.t ................ 1/3 # Failed test 'blib/script/json_pp' # at /home/zefram/usr/perl/perl_install/perl-5.6.1-i64-f63/lib/site_perl/5.6.1/Test/Pod.pm line 159. # blib/script/json_pp (88): This document probably does not appear as it should, because its "=encoding utf8" line calls for an unsupported encoding. [Pod::Simple::TranscodeDumb v3.15's supported encodings are: ascii ascii-ctrl iso-8859-1 latin-1 latin1 null] # blib/script/json_pp (88): Couldn't do =encoding utf8: This document probably does not appear as it should, because its "=encoding utf8" line calls for an unsupported encoding. [Pod::Simple::TranscodeDumb v3.15's supported encodings are: ascii ascii-ctrl iso-8859-1 latin-1 latin1 null] # Looks like you failed 1 test of 3. t/900_pod.t ................ Dubious, test returned 1 (wstat 256, 0x100) Failed 1/3 subtests All other tests pass, so if this POD issue can be circumvented or overlooked on 5.6 then it will presumably be OK. I think operation on 5.6 is important for this module, because it is now in the toolchain as a prerequisite of Module::Build. -zefram
I removed 900_pod.t from the package because it is for the author test. Thanks,


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.